using Global;


namespace Global
{
	
	public class KeyValueHelper
	{
		public KeyValueHelper()
		{		
			m_rgOptions = new KeyValueList();
		} // !KeyValueHelper()
		
		
		
		public KeyValueHelper(KeyValueList values)
		{
			m_rgOptions = values;
		} // !KeyValueHelper()
		
		
		public bool hasKey(string key)
		{
			foreach (KeyValue el in m_rgOptions)
			{
				if (el.key == key)
				{
					return true;
				}
			}
			return false;
		} // !hasKey()
		
		
		
		public string getValue(string key)
		{
			foreach (KeyValue el in m_rgOptions)
			{
				if (el.key == key)
				{
					return el.value;
				}
			}
			return "";
		} // !getValue()
		
		
		
		public void addItem(string key, string value)
		{
			KeyValue item;
			item.key   = key;
			item.value = value;
			
			m_rgOptions.Add(item);
		}
		
		
		
		public void add(KeyValue kv)
		{
			m_rgOptions.Add(kv);
		}
		
		
		public KeyValueList getList()
		{			
			return m_rgOptions;
		} // !getList()
		
		private KeyValueList m_rgOptions;
	} // !KeyValueHelper
}
