using System;
using FlowEngine;



namespace AbstractActionImplementation
{
	public class AbstractActionImplementationI : _AbstractActionDisp
	{
		public AbstractActionImplementationI()
		{
			m_rgOptions = new Global.KeyValueHelper();
			m_nId       = 0;
			m_bDone     = false;
		} // !AbstractActionImplementationI()
		
		
		
		public override string describe(Ice.Current current)
		{
			return "";
		} // !describe()		
		
		
		
		public override void setOptions(Global.KeyValueList options, Ice.Current current)
		{       
			m_rgOptions = new Global.KeyValueHelper(options);
		} // !setOptions()
		
		
		
		public override int getId(Ice.Current current)
		{
			return m_nId;
		} // !getId()
		
		
		
		public override void setId(int id, Ice.Current current)
		{
			m_nId = id;
		} // !setId()
		
		
		
		public override void perform(Ice.Current current)
		{			
		} // !perform()
		
		
		
		public override bool done(Ice.Current current)
		{
			return m_bDone;
		} // !done()

		
		protected int m_nId;
		protected bool m_bDone;
		protected Global.KeyValueHelper m_rgOptions;		
	}
	
	
	
	
	
	public class AbstractActionFactoryImplementationI : _AbstractActionFactoryDisp
	{
		public override string describe(Ice.Current current)
		{
			return "";
		} // !describe()
		
		
		
		public override FlowEngine.AbstractActionPrx createAction(Ice.Current current)
		{
			return null;
		} // !createAction()
		
		
		
		public void setAdapter(Ice.ObjectAdapter adapter)
		{
			m_adapter = adapter;
		}
		
		
		
		protected Ice.ObjectAdapter m_adapter;
		protected int m_enumerator;		
	}
}
