/*
 * $LastChangedDate: 2004-09-10 03:38:47 +0200 (Fri, 10 Sep 2004) $
 * $Rev: 54 $/ $Author: stephan $
 */
#ifndef _CAAGLOBALS_ICE_
#define _CAAGLOBALS_ICE_




module Global
{
	["cs:collection"] sequence<int> CIntList;
	["cs:collection"] sequence<string> CStringList;
	["cs:collection"] sequence<byte> ByteSequence;
	
	struct CDateTime
	{
		int nYear;
		byte nMonth;
		byte nDay;
		byte nHour;
		byte nMinute;
		byte nSecond;
	};
	
	["cs:collection"] sequence<CDateTime> CDateTimeList;
	
	enum WeekDays {Sunday, Monday, Tuesday, Wednesday, Thursday, Friday, Saturday};

	["cs:collection"] sequence<WeekDays> WeekDayList;

	struct CDate
	{
		int nYear;
		byte nMonth;
		byte nDay;
	};

	struct CTime
	{
		byte nHour;
		byte nMinute;
		byte nSecond;
	};

	["cs:collection"] sequence<CTime> CTimeList;

	struct KeyValue
	{
		string key;
		string value;
	};

	["cs:collection"] sequence<KeyValue> KeyValueList;	
}; // !module Global



#endif // !_CAAGLOBALE_ICE_